Component({
  properties: {
    params: {
      type: null
    },
    data: {
      type: null
    }
  },
  data: {
    video: {},
    imgurlshow: true,
    isVideo: false
  }, // 私有数据，可用于模板渲染

  lifetimes: {
    // 生命周期函数，可以为函数，或一个在methods段中定义的方法名
    attached() {
      this.setData({
        video: this.data.data[0]
      });
      if (this.data.video.option === "1") {
        this.setData({
          imgurl: this.data.video.imgurl
        });
      } else {
        this.setData({
          imgurl: ""
        });
      }
    },
    moved() {},
    detached() {},
  },

  // 生命周期函数，可以为函数，或一个在methods段中定义的方法名
  attached() {

  }, // 此处attached的声明会被lifetimes字段中的声明覆盖
  ready() {
    this.isMp4(this.data.video.hrefurl);
    this.videoContext = wx.createVideoContext('myVideo', this);
  },

  pageLifetimes: {
    // 组件所在页面的生命周期函数
    show() {},
    hide() {},
    resize() {},
  },

  methods: {
    //判断是否MP4
    isMp4(src) {
      if (src.endsWith(".mp4")) {
        this.setData({
          isVideo: true
        });
      } else {
        this.setData({
          isVideo: false
        });
      }
    },
    imgurlshowbtn() {
      this.videoContext.play();
      this.setData({
        imgurlshow: false
      });
    },
    bindended() {
      this.setData({
        imgurlshow: true
      });
    }
  },
});
